<form *ngIf="form" [formGroup]="form" class="row" (ngSubmit)="createRoom()">

  <mat-form-field *ngIf="form.get('playerNickname') as gameMasterNickname">
    <mat-label translate>gameMaster.gameMasterNickname</mat-label>
    <input [formControl]="gameMasterNickname" matInput>
    <mat-error *ngIf="gameMasterNickname.invalid">{{gameMasterNickname.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="form.get('roomCredentials.roomName') as roomName">
    <mat-label translate>gameRoom.roomName</mat-label>
    <input [formControl]="roomName" matInput>
    <mat-error *ngIf="roomName.invalid">{{roomName.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="form.get('roomCredentials.roomPassword') as roomPassword">
    <mat-label translate>gameRoom.password</mat-label>
    <input [type]="passwordHide ? 'password' : 'text'" [formControl]="roomPassword" matInput>
    <mat-icon class="icon--pointer" matSuffix (click)="passwordHide = !passwordHide">
      {{passwordHide ? 'visibility_off' : 'visibility'}}</mat-icon>
    <mat-error *ngIf="roomPassword.invalid">{{roomPassword.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <mat-expansion-panel>
    <mat-expansion-panel-header>
      <span translate>startup.createRoom.config</span>
    </mat-expansion-panel-header>

    <ng-template matExpansionPanelContent>
      <mat-label class="dices--label" translate>startup.createRoom.dices.label</mat-label>
      <dr-dices-form [dicesForm]="form.get('dices')"></dr-dices-form>

      <mat-slide-toggle color="primary" labelPosition="after" [formControl]="form.get('config.allowRoomJoin')">
        <span translate>startup.createRoom.config.allowRoomJoin</span>
      </mat-slide-toggle>

      <mat-slide-toggle color="primary" labelPosition="after" [formControl]="form.get('config.autoEnablePlayers')">
        <span translate>startup.createRoom.config.autoEnablePlayers</span>
      </mat-slide-toggle>

      <mat-slide-toggle color="primary" labelPosition="after" [formControl]="form.get('config.autoEnableDices')">
        <span translate>startup.createRoom.config.autoEnableDices</span>
      </mat-slide-toggle>

    </ng-template>
  </mat-expansion-panel>

  <button type="submit" mat-raised-button color="primary" class="button--submit">
    <span translate>startup.createtRoom.submit</span>
  </button>
</form>